Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
[Java] Class StringReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource
          org.codehaus.groovy.control.io.StringReaderSource

    public class StringReaderSource
    extends AbstractReaderSource

A ReaderSource for source strings.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary

Fields inherited from class AbstractReaderSource
configuration

Constructor Summary
`StringReaderSource(java.lang.String string, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`java.io.Reader` | `getReader()` Returns a new Reader on the underlying source object.

Methods inherited from class AbstractReaderSource
canReopenSource, cleanup, getLine

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StringReaderSource

    public StringReaderSource(java.lang.String string, CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.
  Parameters:
    `string` - string containing script source
    `configuration` - configuration for compiling source

Method Detail

### getReader

    public java.io.Reader getReader()

  Returns a new Reader on the underlying source object.

Groovy Documentation